Get an Epic Experience with Premium

Bitten's SpellFlash: Mage

Mage Login to Add Favorites
  • 36 Likes
  • World of Warcraft
  • 16,466 Monthly Downloads
  • Supports: 6.1.0
  • 3,701,613 Total Downloads
  • Updated 03/09/2015
  • Created 04/30/2012
  • 631 Favorites
  • Project Site
  • Comments
  • Release Type: Release
  • License: All Rights Reserved
  • Newest File: 60100.201503092107
or

About Bitten's SpellFlash: Mage

This module flashes suggested spells for all three Mage specs.

If you download using the Curse Client it will come with everything you need. If you download your addons manually, you must also get SpellFlash.

Please see the FAQ before posting a question. If that doesn't address your issue, or you have a suggestion to improve this addon, please either leave a comment or create a ticket.

Bitten's SpellFlash modules replace Blizzard's default proc highlighting to flash the button you should press next to achieve maximum dps on a boss fight. Or if you are a tank, to maximize your survivability. For healers, they are just slightly smarter proc highlighters. Dps modules follow or are similar to priority schemes found in SimulationCraft and/or Icy Veins. Sometimes you have to be smarter than SpellFlash, e.g. when saving a cooldown for a specific boss mechanic, but in general following the recommendations will improve most people's performance.

------------------------------------------------------------------------
r207 | slippycheeze | 2015-03-10 04:11:36 +0000 (Tue, 10 Mar 2015) | 1 line
Changed paths:
   A /tags/60100.201503092107 (from /trunk:204)

Create tag 60100.201503092107
------------------------------------------------------------------------
r204 | slippycheeze | 2015-03-08 21:47:03 +0000 (Sun, 08 Mar 2015) | 1 line
Changed paths:
   M /trunk/.pkgmeta

Use the latest release BSFL, not HEAD
------------------------------------------------------------------------
r203 | slippycheeze | 2015-03-08 21:46:59 +0000 (Sun, 08 Mar 2015) | 1 line
Changed paths:
   M /trunk/src/Rotations.lua

Enable debugging of Arcane burn vs conserve phase selection
------------------------------------------------------------------------
r201 | slippycheeze | 2015-02-25 02:10:23 +0000 (Wed, 25 Feb 2015) | 1 line
Changed paths:
   M /trunk/BittensSpellFlash_Mage.toc

Bump TOC for patch 6.1
------------------------------------------------------------------------

Comments

First Previous Page 17 of 21 Next Last
  • #90

    Working awesome now: Thank you once again for all yoru hard work, especially at such a busy and stressful time :)

  • #89
    Quote from Malifecentxxx »

    Ok...I am very embarrassed to say that I didnt have the mage module installed *blush* 

    Lol.  Well I'm glad you found the problem and that it is working now!  :)  I wish you high dps!

    Author of Bitten's SpellFlash.

  • #88

    Ok...I am very embarrassed to say that I didnt have the mage module installed *blush* however...I went to install it via curse client....tried about 4 times...and it wouldnt install. So I installed it manually, and it seems to be working now. I just logged in to check, and I notice my mana gem is flashing, so I am assuming the rest of it is working now too lol. Thank you for y our response :)

    Last edited by Malifecentxxx on 8/31/2012 12:36:10 PM
  • #71

    2 weeks? cmon, aint that a bit long? Fire's my main spec and i'm probably not the only one. I do get that moving has higher priority but ya must be able to squeeze it in somewhere ;)

  • #72

    I know, I know.  There are also 19 other rotations that I have not been able to do yet, that are also more than 1 person's main spec.  Fire is probably 2nd on that list.

    <Edit:> And now it should flash for Fire.

    Last edited by Xemnosyst on 9/6/2012 6:25:54 PM

    Author of Bitten's SpellFlash.

  • #69

    WEND FIRE WORK??

  • #70

    Fire is high on my to-do list, but unfortunetly moving to California is higher.  So - maybe 2 weeks?

    <Edit:> And now it should flash for Fire.

    Last edited by Xemnosyst on 9/6/2012 6:26:31 PM

    Author of Bitten's SpellFlash.

  • #67

    My Create Mana Gem button is always flashing, I have glyph of Mana Gem and glyph of Loose Mana I am assuming that is why it is always flashing,  since it is not set to show the brilliant mana gem.   it doesnt break the addon or anything just is annoying when you are watching for a flashing button to cast and that one never shuts off LOL.

     

    Other than that great work

  • #68

    Thanks for the report.  I fixed that, and found a couple other bugs w/ mana gems, too!

    Author of Bitten's SpellFlash.

  • #65

    Having an issue where with your spellflash installed in Fire spec it's no longer showing any proc whatsoever for my instant pyroblast on my hotbar. Can you at least add it back in so that when I proc heating up my inferno blast blinks if its off cooldown, and when I proc instant pyroblast, instant pyroblast blinks? Thanks.

  • #66

    From the description above:

    No Fire rotation for 5.0.4 yet. Check the FAQ for my progress as I update Bitten's SpellFlash modules for 5.0.4.

    I will update fire, but at least one other rotation has priority right now.  Sorry Frown.  I wish I didn't have so much other stuff to do right now so I could just update these full time!

    <Edit:> And now it should flash for Fire.

    Last edited by Xemnosyst on 9/6/2012 6:26:45 PM

    Author of Bitten's SpellFlash.

  • #60

    I have the same lack of flash problem as below, but I also have another.  Whenever I click on an attack spell (Arcane Barrage, Arcane Missiles, Arcane Blast, Living Bomb, etc.) I get the following message in my chat window:

    No spell defined (or no ID attribute): Combustion
    No spell defined (or no ID attribute): Icy Veins

    This doesn't come up when I have Spellflash totally disabled; only when it is enabled.

    Any ideas??

  • #62

    Thank you for the report.  I will take a look at this, but it's going to be a few hours.

    <Edit:> Ok I made the fix, and I found & fixed another bug with Arcane Power.  Please let me know if any other problems come up.

    Last edited by Xemnosyst on 8/29/2012 3:00:58 PM

    Author of Bitten's SpellFlash.

  • #58

    Through the curse client it says out of date and doesn't have all the dependencies? halp

    says version 2.6 :/ and the page up ^ says that's latest for 5.0.4

    Last edited by OldeWilly on 8/29/2012 2:40:19 AM
  • #59

    Thanks for bringing up the issue.  I just added this to the FAQ:

    You say your addon is 5.0.4 ready, but WoW says it is out of date. Are you a liar?  Nope! Each of the addons you see listed under the next question has been designed to work in 5.0.4. Since I got them ready BEFORE 5.0.4 was released, though, WoW assumes they are out of date, but WoW is the liar! As I go through updating each one again the message will go away, but for now simply click "Load Out Of Date Addons" in WoW and everything should work.

    Author of Bitten's SpellFlash.

  • To post a comment, please login or register a new account.
Login to Curse

Don't have an account? Create One.

Get an epic experience with Curse Premium
  • Faster addon downloads
  • Premium-Only Beta Giveaways
  • Ad-Free Curse experience
  • Premium Curse Client
  • and many More Features
  • Learn More »

Gamepedia Free-shirt Giveaway